Summary: The Dotfile Generator main utility
Name: dotfile
Version: 2.3b1
Release: 3
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.imada.ou.dk/pub/dotfile/dotfile-2.3b1.tar.gz
Source1: dotfile-bash.wmconfig
Source2: dotfile-elm.wmconfig
Source3: dotfile-emacs.wmconfig
Source4: dotfile-fvwm1.wmconfig
Source5: dotfile-fvwm2.wmconfig
Source6: dotfile-ipfwadm.wmconfig
Source7: dotfile-procmail.wmconfig
Source8: dotfile-rtin.wmconfig
Source9: dotfile-tcsh.wmconfig
Patch0: dotfile-2.3b1-english.patch
Patch1: dotfile-2.3b1-english2.patch
Patch2: dotfile-procmail.patch
URL: http://www.imada.ou.dk/~blackie/dotfile/
BuildArchitectures: noarch

Requires: tcl >= 8.0, tk >= 4.0

# can't just make the package relocatable because of %doc stuff.
%define path_prefix /usr

%changelog

* Thu May 14 1998 Michael Maher <mike@redhat.com>

- updated package to newer version.
- added buildroot.

* Fri Jan 16 1998 Otto Hammersmith <otto@redhat.com>

- effected the move to /usr, rather than /usr/local
- removed the silliness to keep bytecompiled files out of the RPM
- added wmconfig stuff

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>

- snagged the src.rpm from the web site
- added changelog

%description
This utility is a graphical interface to configure various common
utilities and software.  Presently, the available modules are: bash,
elm, emacs, fvwm1, fvwm2, ipfwadm, procmail, rtin, and tcsh.  This is
the main package; the individual modules are packaged separately.

%package fvwm1
Summary: The Dotfile Generator fvwm1 module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description fvwm1
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm1 module.

%files fvwm1
%{path_prefix}/lib/dotfile-2.3b1/english/fvwm1/
/etc/X11/wmconfig/dotfile-fvwm1

%package fvwm2
Summary: The Dotfile Generator fvwm2 module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description fvwm2
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the fvwm2 module.

%files fvwm2
%{path_prefix}/lib/dotfile-2.3b1/english/fvwm2/
/etc/X11/wmconfig/dotfile-fvwm2

%package emacs
Summary: The Dotfile Generator emacs module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description emacs
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the emacs module.

%files emacs
%{path_prefix}/lib/dotfile-2.3b1/english/emacs/
/etc/X11/wmconfig/dotfile-emacs

%package tcsh
Summary: The Dotfile Generator tcsh module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description tcsh
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the tcsh module.

%files tcsh
%doc Doc/tcsh/./
%{path_prefix}/lib/dotfile-2.3b1/english/tcsh/
/etc/X11/wmconfig/dotfile-tcsh

%package rtin
Summary: The Dotfile Generator rtin module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description rtin
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the rtin module.

%files rtin
%{path_prefix}/lib/dotfile-2.3b1/english/rtin/
/etc/X11/wmconfig/dotfile-rtin

%package bash
Summary: The Dotfile Generator bash module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description bash
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the bash module.

%files bash
%{path_prefix}/lib/dotfile-2.3b1/english/bash/
/etc/X11/wmconfig/dotfile-bash

%package elm
Summary: The Dotfile Generator elm module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1 

%description elm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the elm module.

%files elm
%{path_prefix}/lib/dotfile-2.3b1/english/elm/
/etc/X11/wmconfig/dotfile-elm

%package procmail
Summary: The Dotfile Generator procmail module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description procmail
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the procmail module.

%files procmail
%doc Doc/procmail/./
%{path_prefix}/lib/dotfile-2.3b1/english/procmail/
/etc/X11/wmconfig/dotfile-procmail

%package ipfwadm
Summary: The Dotfile Generator ipfwadm module
Group: Utilities/System
Requires: tcl >= 8.0, tk >= 4.0, dotfile >= 2.3b1

%description ipfwadm
The Dotfile Generator is a graphical interface to configure various
common utilities and software.  This is the ipfwadm module.

%files ipfwadm
%{path_prefix}/lib/dotfile-2.3b1/english/ipfwadm/
/etc/X11/wmconfig/dotfile-ipfwadm

%prep
%setup
%patch0 -p1 -b .english
%patch1 -p1 -b .english2
%patch2 -p1 -b .procmai

%build
./configure --prefix=%{path_prefix} 
(cd Modules/english/procmail
./configure ) 


%install

DISPLAY=:5
export DISPLAY
Xvfb :5 &

make install 

kill `pidof Xvfb`

install -d /etc/X11/wmconfig 
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-bash.wmconfig /etc/X11/wmconfig/dotfile-bash
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-elm.wmconfig /etc/X11/wmconfig/dotfile-elm
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-emacs.wmconfig /etc/X11/wmconfig/dotfile-emacs
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-fvwm1.wmconfig /etc/X11/wmconfig/dotfile-fvwm1
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-fvwm2.wmconfig /etc/X11/wmconfig/dotfile-fvwm2
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-ipfwadm.wmconfig /etc/X11/wmconfig/dotfile-ipfwadm
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-procmail.wmconfig /etc/X11/wmconfig/dotfile-procmail
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-rtin.wmconfig /etc/X11/wmconfig/dotfile-rtin
install -m644 -o root -g root $RPM_SOURCE_DIR/dotfile-tcsh.wmconfig /etc/X11/wmconfig/dotfile-tcsh

%files
%doc README COPYING version Doc/dotfile/./
%{path_prefix}/bin/dotfile
%{path_prefix}/bin/dotfile-2.3b1
%{path_prefix}/lib/dotfile-2.3b1/Generator/
%{path_prefix}/man/man1/dotfile.1
